> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.itential.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server.

# Clear all nodes from an inventory

DELETE https://example.itential.io/inventory_manager/v1/nodes/clear/{identifier}

Removes all nodes from the specified inventory.

Reference: https://docs.itential.com/itential-platform/6/api-reference/inventory-manager/clear-inventory

## Authentication

- `Authorization` header (basic auth, required) — Basic authentication of the form `Basic <base64(username:password)>`.

## Request

### Path parameters

- `identifier` (string or string, required) — Inventory ID or name to clear nodes from

## Response

### 200

Result of clearing operation with statistics

- `status` (string, optional)
- `result` (object, optional)
  - `inventory` (object, optional)
    - `id` (string, optional) — Inventory ObjectId
    - `name` (string, optional) — Inventory name
  - `statistics` (object, optional)
    - `nodesDeleted` (double, optional) — Number of nodes deleted
- `message` (string, optional) — Success message with operation summary

## Errors

### 500 Internal Server Error

Error response from API

- `any`

## Examples

**Response**

```json
{
  "status": "Success",
  "result": {
    "inventory": {
      "id": "string",
      "name": "string"
    },
    "statistics": {
      "nodesDeleted": 1.1
    }
  },
  "message": "string"
}
```

**SDK Code**

```python
import requests

url = "https://example.itential.io/inventory_manager/v1/nodes/clear/string"

response = requests.delete(url)

print(response.json())
```

```javascript
const url = 'https://example.itential.io/inventory_manager/v1/nodes/clear/string';
const options = {method: 'DELETE'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://example.itential.io/inventory_manager/v1/nodes/clear/string"

	req, _ := http.NewRequest("DELETE", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://example.itential.io/inventory_manager/v1/nodes/clear/string")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.delete("https://example.itential.io/inventory_manager/v1/nodes/clear/string")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('DELETE', 'https://example.itential.io/inventory_manager/v1/nodes/clear/string');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://example.itential.io/inventory_manager/v1/nodes/clear/string");
var request = new RestRequest(Method.DELETE);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/inventory_manager/v1/nodes/clear/string")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "DELETE"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```